/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package blok.interfaces;

import java.awt.Point;

/**
 *
 * @author aluno
 */
public interface IGameController {
    public boolean initialize();

    public enum GameState {INITIAL, RUNNING, YOUWON, YOULOST};
    public void setGameState(GameState gameState);
    public GameState getGameState();
    
    public void removeBody(Point bodyPoint);
}
